<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: weblinks.php
| Author: Nick Jones (Digitanium)
| Modified: Spunk
| Weblinks with Breadcrumbs and Websnapr-Thumbshots
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "maincore.php";
require_once THEMES."templates/header.php";
include LOCALE.LOCALESET."weblinks.php";

// Websnapr Version 2.0
	add_to_head("<script type='text/javascript' src='http://www.websnapr.com/js/websnapr.js'></script>");
//

# Breadcrumbs
# Original Code from Rizald "Elyn" Maxwell
# Rewritten for 7.02 by MarcusG
# added from articles to weblinks by spunk

$isTrue = false;
$str = "";
if (isset($_GET['weblink_id'])&& isnum($_GET['weblink_id'])){
	$result = dbquery(
		"SELECT ta.weblink_cat, tac.weblink_cat_name, ta.weblink_id, ta.weblink_subject FROM ".DB_WEBLINKS." ta
		LEFT JOIN ".DB_WEBLINK_CATS." tac ON ta.weblink_cat=tac.weblink_cat_id
		WHERE weblink_id='".$_GET['weblink_id']."'"
		);
	if (dbrows($result)) {
		$data = dbarray($result);
		$str .= "<a href='".FUSION_SELF."'><strong>".$locale['431a']."</strong></a>";
		$str .= " &raquo; <a href='".FUSION_SELF."?cat_id=".$data['weblink_cat']."'>".$data['weblink_cat_name']."</a>";
		$str .= " &raquo; <a href='".FUSION_SELF."?weblink_id=".$_GET['weblink_id']."'>".$data['weblink_subject']."</a>";
		$isTrue = true;
	}
} elseif (isset($_GET['cat_id']) && isnum($_GET['cat_id'])){
	$result = dbquery(
		"SELECT weblink_cat_name FROM ".DB_WEBLINK_CATS." 
		WHERE weblink_cat_id='".$_GET['cat_id']."'");
	if (dbrows($result)) {
		$data = dbarray($result);
		$str .= "<a href='".FUSION_SELF."'><strong>".$locale['431a']."</strong></a>";
		$str .= " &raquo; <a href='".FUSION_SELF."?cat_id=".$_GET['cat_id']."'>".$data['weblink_cat_name']."</a>";
		$isTrue = true;
	}
}

if($isTrue){
	opentable($locale['431b']);
	echo $str;
	closetable();
}

# end of breadcrumbs

if (isset($_GET['weblink_id']) && isnum($_GET['weblink_id'])) {
	$res = 0;
	if ($data = dbarray(dbquery("SELECT weblink_url,weblink_cat FROM ".DB_WEBLINKS." WHERE weblink_id='".$_GET['weblink_id']."'"))) {
		$cdata = dbarray(dbquery("SELECT weblink_cat_access FROM ".DB_WEBLINK_CATS." WHERE weblink_cat_id='".$data['weblink_cat']."'"));
		if (checkgroup($cdata['weblink_cat_access'])) {
			$res = 1;
			$result = dbquery("UPDATE ".DB_WEBLINKS." SET weblink_count=weblink_count+1 WHERE weblink_id='".$_GET['weblink_id']."'");
			redirect($data['weblink_url']);
		}
	}
	if ($res == 0) { redirect(FUSION_SELF); }
}

add_to_title($locale['global_200'].$locale['400']);

if (!isset($_GET['cat_id']) || !isnum($_GET['cat_id'])) {
	opentable($locale['400']);
	$result = dbquery("SELECT weblink_cat_id, weblink_cat_name, weblink_cat_description FROM ".DB_WEBLINK_CATS." WHERE ".groupaccess('weblink_cat_access')." ORDER BY weblink_cat_name");
	$rows = dbrows($result);
	if ($rows != 0) {
		$counter = 0; $columns = 2; 
		echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
		while ($data = dbarray($result)) {
			if ($counter != 0 && ($counter % $columns == 0)) { echo "</tr>\n<tr>\n"; }
			$num = dbcount("(weblink_cat)", DB_WEBLINKS, "weblink_cat='".$data['weblink_cat_id']."'");
			echo "<td valign='top' width='50%' class='tbl'><a href='".FUSION_SELF."?cat_id=".$data['weblink_cat_id']."'>".$data['weblink_cat_name']."</a> <span class='small2'>($num)</span>";
			if ($data['weblink_cat_description'] != "") { echo "<br />\n<span class='small'>".$data['weblink_cat_description']."</span>"; }
			echo "</td>\n";
			$counter++;
		}
		echo "</tr>\n</table>\n";
	} else {
		echo "<div style='text-align:center'><br />\n".$locale['430']."<br /><br />\n</div>\n";
	}
	closetable();
} else {
	$res = 0;
	$result = dbquery("SELECT weblink_cat_name, weblink_cat_sorting, weblink_cat_access FROM ".DB_WEBLINK_CATS." WHERE weblink_cat_id='".$_GET['cat_id']."'");
	
	if (dbrows($result) != 0) {
		$cdata = dbarray($result);
		if (checkgroup($cdata['weblink_cat_access'])) {
			$res = 1;
			add_to_title($locale['global_201'].$cdata['weblink_cat_name']);
			opentable($locale['400'].": ".$cdata['weblink_cat_name']);
			$rows = dbcount("(weblink_id)", DB_WEBLINKS, "weblink_cat='".$_GET['cat_id']."'");
			if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
			if ($rows != 0) {
			
// Abfrage der weblink_url
			$result = dbquery("SELECT weblink_id, weblink_url, weblink_name, weblink_description, weblink_datestamp, weblink_count FROM ".DB_WEBLINKS." WHERE weblink_cat='".$_GET['cat_id']."' ORDER BY ".$cdata['weblink_cat_sorting']." LIMIT ".$_GET['rowstart'].",".$settings['links_per_page']);
// 
			
				$numrows = dbrows($result); $i = 1;
				while ($data = dbarray($result)) {
					if ($data['weblink_datestamp']+604800 > time()+($settings['timeoffset']*3600)) {
						$new = " <span class='small'>".$locale['410']."</span>";
					} else {
						$new = "";
					}

echo "<table width='100%' cellpadding='0' cellspacing='1' class='tbl-border'>\n";
					
// Layout gendert und weblink.png hinzugefgt
echo "<tr>\n<td colspan='3' class='tbl2'><a href='".FUSION_SELF."?cat_id=".$_GET['cat_id']."&amp;weblink_id=".$data['weblink_id']."' target='_blank'><strong>".$data['weblink_name']."</strong></a> $new<img src='".BASEDIR."images/weblink.png' /></td>\n</tr>\n";
// 
					
// Layout gendert
echo "<tr>\n";
echo "<td colspan='1' class='tbl2' align='center' valign='center'><a href='".FUSION_SELF."?cat_id=".$_GET['cat_id']."&amp;weblink_id=".$data['weblink_id']."' target='_blank'>";

// Websnapr
echo '<script type="text/javascript">wsr_snapshot(\''; echo $data['weblink_url']; echo '\', \'TWOJ KOD\', \'S\');</script>';

if ($data['weblink_description'] != "") echo "<td colspan='2' class='tbl1' valign='top'>".nl2br(stripslashes($data['weblink_description']))."</td>\n";
echo "</tr>\n";
//

// Reihenfolge gewechselt, tbl2->tbl1 und nostrong					
//			echo "<tr>\n<td width='30%' class='tbl2'><strong>".$locale['411']."</strong> ".showdate("shortdate", $data['weblink_datestamp'])."</td>\n";
			
			echo "<tr>\n<td align='center' width='30%' class='tbl2'><strong>".$locale['412']."</strong> ".$data['weblink_count']."</td>\n";
	    echo "<td width='70%' class='tbl2'><strong>".$locale['411']."</strong> ".showdate("shortdate", $data['weblink_datestamp'])."</td></table>\n";
					
			if ($i != $numrows) { echo "<div align='center'><img src='".get_image("blank")."' alt='' height='15' width='1' /></div>\n"; $i++; }
				}

// COPYRIGHT DO NOT REMOVE
		echo "<div class='side small' style='padding-top:5px; text-align:right; color:#000;'><span title='Weblinks with WebSnapr - Modified for 7.02.xx by Spunk '><a href='http://esoterion.de' target='_blank'>&copy;</a></span></div>\n";
// COPYRIGHT DO NOT REMOVE	
				
				closetable();
				if ($rows > $settings['links_per_page']) { echo "<div align='center' style='margin-top:5px;'>\n".makepagenav($_GET['rowstart'], $settings['links_per_page'], $rows, 3, FUSION_SELF."?cat_id=".$_GET['cat_id']."&amp;")."\n</div>\n"; }
			} else {
				echo $locale['431']."\n";
				closetable();
			}
		}
	}
	if ($res == 0) { redirect(FUSION_SELF); }
}

require_once THEMES."templates/footer.php";
?>
